# Uses of Class
org.jboss.modules.management.DependencyInfo

Packages that use DependencyInfo
Package
Description
org.jboss.modules.management
Management interfaces for utilizing JBoss Modules via an MBean container.

## Uses of DependencyInfo in org.jboss.modules.management

Methods in org.jboss.modules.management that return types with arguments of type DependencyInfo
Modifier and Type
Method
Description
`List<DependencyInfo>`
ModuleInfo.`getDependencies()`
Get the dependency information list.
`List<DependencyInfo>`
ModuleLoaderMXBean.`getDependencies(String name)`
Get the dependencies of the named module.
Constructor parameters in org.jboss.modules.management with type arguments of type DependencyInfo
Modifier
Constructor
Description
``
`ModuleInfo(String name, ModuleLoaderMXBean moduleLoader, List<DependencyInfo> dependencies, List<ResourceLoaderInfo> resourceLoaders, String mainClass, String classLoader, String fallbackLoader)`
Construct a new instance.